### Method

# FwupdPlugin DeviceEvent get_str

#### Declaration [src]

    const gchar*
    fu_device_event_get_str (
      FuDeviceEvent* self,
      const gchar* key,
      GError** error
    )

#### Description [src]

Gets a string value from the event.

Available since: | 2.0.0

#### Parameters

`key` | `const gchar*`
| A unique key, e.g. `Name`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `const gchar*`
| String, or `NULL` on error.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.